<?php

chdir('../../../../');
require('includes/application_top.php');

if (!extension_loaded('soap')) {
    echo '<h1>Error - Soap extension is not enabled/installed</h1>';
    echo '<p>Check your <a href="' . tep_catalog_href_link('admin/server_info.php', '', 'SSL', false) . '">server info</a> SOAP must be enabled on your server</p>';
    exit;
}

require_once '../ext/modules/payment/paypayue/vendor/autoload.php';

try {
    $config = \PayPay\Configuration::setup(
        array(
            'environment'  => MODULE_PAYMENT_PAYPAY_CORE_ENVIRONMENT === 'Produção' ? 'production': defined('PAYPAY_WEBSERVICE_URL') ? 'development': 'testing',
            'platformCode' => MODULE_PAYMENT_PAYPAY_CORE_CODIGO_PLATAFORMA,
            'privateKey'   => MODULE_PAYMENT_PAYPAY_CORE_CHAVE,
            'clientId'     => MODULE_PAYMENT_PAYPAY_CORE_NIF, // usually the client NIF
            'langCode'     => 'EN'
        )
    );

    $client = \PayPay\PayPayWebservice::init($config);

    $url = tep_catalog_href_link('ext/modules/payment/paypayue/webhook.php', '', 'SSL', false);

    $requestWebhook = new \PayPay\Structure\RequestWebhook(
        array(
            'action' => \PayPay\Structure\RequestWebhook::PAYMENT_CONFIRMED,
            'url'    => $url,
        )
    );

    $response = $client->checkIntegrationState();

    if ($response->state == 1) {
        echo '<h1>Success, ';

        $response = $client->subscribeToWebhook($requestWebhook);

        if ($response->integrationState->state == 1) {
            echo 'Webhook OK';
        } else {
            echo 'Webhook not OK';
        }

        echo '</h1>';
    } else {
        echo '<h1>Not configured correctly</h1>';
    }

    echo '<p>'.$response->integrationState->message.'</p>';

} catch (Exception $e) {
    echo '<h1>Error</h1>';
    echo '<p>'.$e->getMessage().'</p>';
}

require(DIR_FS_CATALOG . 'includes/application_bottom.php');
