<?php

require_once 'vendor/autoload.php';

chdir('../../../../');
require('includes/application_top.php');

try {
    $config = \PayPay\Configuration::setup(
        array(
            'environment'  => MODULE_PAYMENT_PAYPAY_CORE_ENVIRONMENT === 'Produção' ? 'production': defined('PAYPAY_WEBSERVICE_URL') ? 'development': 'testing',
            'platformCode' => MODULE_PAYMENT_PAYPAY_CORE_CODIGO_PLATAFORMA,
            'privateKey'   => MODULE_PAYMENT_PAYPAY_CORE_CHAVE,
            'clientId'     => MODULE_PAYMENT_PAYPAY_CORE_NIF
        )
    );

    $webhook = \PayPay\WebhookHandler::fromPost($config);
    $webhook->eachPayment(function($payment) {
        $order_status_id = 2;

        $payment_query = tep_db_query(
            "SELECT * FROM paypay_payment WHERE paymentId = '".$payment['paymentId']."' AND paymentStatus = 1"
        );

        if (!tep_db_num_rows($payment_query)) {
            return false;
        }

        $pay = tep_db_fetch_array($payment_query);

        $dataPagamento = DateTime::createFromFormat('d-m-Y H:i:s', $payment['paymentDate']);
        $sql_paypay_array = array(
            'paymentStatus' => 2,
            'paymentDate'   => $dataPagamento->format('Y-m-d H:i:s')
        );

        tep_db_perform('paypay_payment', $sql_paypay_array, 'update', 'id = '.(int)$pay['id']);

        $order_query = tep_db_query(
            "SELECT * FROM ".TABLE_ORDERS." WHERE orders_id = '".(int)$pay['orderId']."' AND orders_status = 1"
        );

        if (!tep_db_num_rows($order_query)) {
            return false;
        }

        $sql_update_array = array(
            'orders_status' => $order_status_id,
            'last_modified' => 'now()'
        );

        tep_db_perform(
            TABLE_ORDERS,
            $sql_update_array,
            'update',
            'orders_id = ' . (int)$pay['orderId'] . ' AND orders_status = 1'
        );

        $sql_data_array = array(
            'orders_id'         => $pay['orderId'],
            'orders_status_id'  => $order_status_id,
            'date_added'        => 'now()',
            'customer_notified' => '0',
            'comments'          => ''
        );

        tep_db_perform(TABLE_ORDERS_STATUS_HISTORY, $sql_data_array);
    });
    http_response_code(200); // always return an HTTP status code.
} catch (\PayPay\Exception\Webhook $e) {
    http_response_code($e->getCode());
    echo $e->getMessage();
}

require(DIR_FS_CATALOG . 'includes/application_bottom.php');
