<?php

if (!class_exists('paypayuecore')) {
    include DIR_FS_CATALOG . 'ext/modules/payment/paypayue/paypayuecore.php';
}

class paypayuembw extends paypayuecore
{
    public $code, $title, $description, $enabled, $pag;

    public function paypayuembw()
    {
        global $order, $customer_id;
        $this->code = 'paypayuembw';
        $this->title = MODULE_PAYMENT_PAYPAY_MBW_TEXT_TITLE;
        $this->description = MODULE_PAYMENT_PAYPAY_MBW_TEXT_DESC;
        $this->email_footer = "";

        $this->sort_order = MODULE_PAYMENT_PAYPAY_MBW_SORT_ORDER;
        $this->enabled = ((MODULE_PAYMENT_PAYPAY_MBW_STATUS == 'Sim') ? true : false);
    }

// class methods
    public function update_status()
    {
    }

    public function javascript_validation()
    {
        return false;
    }

    public function pre_confirmation_check()
    {
        return false;
    }

    public function process_button()
    {
        return false;
    }

    public function get_error()
    {
        return false;
    }

    public function check()
    {
        if (!isset($this->_check)) {
            $check_query = tep_db_query(
                "SELECT configuration_value
                FROM " . TABLE_CONFIGURATION . "
                WHERE configuration_key = 'MODULE_PAYMENT_PAYPAY_MBW_STATUS'");
            $this->_check = tep_db_num_rows($check_query);
        }
        return $this->_check;
    }

    public function install()
    {
        if (!defined('MODULE_PAYMENT_PAYPAY_CORE_STATUS')) {
            return;
        }

        tep_db_query(
            "INSERT INTO " . TABLE_CONFIGURATION . "
                (configuration_title,
                configuration_key,
                configuration_value,
                configuration_description,
                configuration_group_id,
                sort_order,
                date_added)
            VALUES
                ('Ordem',
                'MODULE_PAYMENT_PAYPAY_MBW_SORT_ORDER',
                '0',
                'Ordem de exibição',
                '6',
                '0',
                now())"
        );
        tep_db_query(
            "INSERT INTO " . TABLE_CONFIGURATION . "
                (configuration_title,
                configuration_key,
                configuration_value,
                configuration_description,
                configuration_group_id,
                sort_order,
                set_function,
                date_added)
                VALUES
                    ('Activar o módulo',
                    'MODULE_PAYMENT_PAYPAY_MBW_STATUS',
                    'Sim',
                    '',
                    '6',
                    '1',
                    'tep_cfg_select_option(array(\'Sim\', \'Não\'), ',
                    now())"
        );
    }

    public function remove()
    {
        tep_db_query(
            "DELETE FROM " . TABLE_CONFIGURATION . "
            WHERE configuration_key IN ('" . implode("', '", $this->keys()) . "')"
        );
    }

    public function keys()
    {
        return array(
            'MODULE_PAYMENT_PAYPAY_MBW_SORT_ORDER',
            'MODULE_PAYMENT_PAYPAY_MBW_STATUS',
        );
    }

    protected function getPaymentMethod()
    {
        return \PayPay\Structure\RequestCreditCardPayment::METHOD_MB_WAY;
    }
}
